
set term postscript enhanced mono "Helvetica, 24"

set output "V.ps"
set key left top

PS=1
Dr10=10;

f2(x)=Dr10**(x)

plot \
"V_S_sigma_epsdot_data00455.dat" u 1:2 t "Dr=10"    pt 6 ps PS w lp, \
f2(x) t "Newtonian Dr=10"    lt 2 w l

system "eps2eps             V.ps  V.eps"
system "convert -rotate 90  V.eps V.png"
system "rm *.ps *.eps"

#----------------------------------------------------------------
set output "V.ps"

set key left top

a2=0.1; b2=0.1; c2=0.1;
g2(x) = x*(1-x)*( a2 + b2*x + c2*x*x  )
fit g2(x) "Newtonian.dat" u 1:($2-$3) via a2, b2, c2

PS=2
LW=2

plot \
"Newtonian.dat" u 1:($2-$3) t "Dr=10"    pt 6 ps PS w lp, \
g2(x) t "" lt 1 lw LW w l

system "eps2eps             V.ps  V.eps"
system "convert -rotate 90  V.eps V_diff.png"
system "rm *.ps *.eps"
#----------------------------------------------------------------

set output "V.ps"
set key left top

PS=2
LW=2

plot \
"Newtonian.dat" u 1:($3) t "Dr=10"    pt 6 ps PS w lp, \
-g2(x)+f2(x) t "" lt 1 lw LW w l

system "eps2eps             V.ps  V.eps"
system "convert -rotate 90  V.eps V_fitted.png"
system "rm *.ps *.eps"
#----------------------------------------------------------------

set output "V.ps"
set key left top

dg2(x) = ( a2*(1-2*x) + b2*(2*x-3*x*x) + c2*(3*x*x-4*x*x*x)  )
log_Dr10 = log( 10.0 );
df2(x) = log_Dr10 * exp( x * log_Dr10 )

plot [0:1][] \
df2(x) t "Dr=10"    lt 1 lw LW w l

system "eps2eps             V.ps  V.eps"
system "convert -rotate 90  V.eps dV.png"
system "rm *.ps *.eps"
#----------------------------------------------------------------
