
set term postscript enhanced mono "Helvetica, 24"

set output "V.ps"
set key left top

PS=1
Dr_5=5;
Dr10=10;
Dr15=15;

f1(x)=Dr_5**(x)
f2(x)=Dr10**(x)
f3(x)=Dr15**(x)

plot \
"Dr__5/V_S_sigma_epsdot_avedata.dat" u 1:2 t "Dr=&{1}5" pt 4 ps PS w lp, \
"Dr_10/V_S_sigma_epsdot_avedata.dat" u 1:2 t "Dr=10"    pt 6 ps PS w lp, \
"Dr_15/V_S_sigma_epsdot_avedata.dat" u 1:2 t "Dr=15"    pt 8 ps PS w lp, \
f1(x) t "Newtonian Dr=&{1}5" lt 1 w l, \
f2(x) t "Newtonian Dr=10"    lt 2 w l, \
f3(x) t "Newtonian Dr=15"    lt 3 w l

system "eps2eps             V.ps  V.eps"
system "convert -rotate 90  V.eps V.png"
system "rm *.ps *.eps"

#----------------------------------------------------------------
set output "V.ps"

set key left top

a1=0.1; b1=0.1; c1=0.1;
a2=0.1; b2=0.1; c2=0.1;
a3=0.1; b3=0.1; c3=0.1;
g1(x) = x*(1-x)*( a1 + b1*x + c1*x*x  )
g2(x) = x*(1-x)*( a2 + b2*x + c2*x*x  )
g3(x) = x*(1-x)*( a3 + b3*x + c3*x*x  )

fit g1(x) "Newtonian_Data/Newtonian.dat" u 1:($2-$5) via a1, b1, c1
fit g2(x) "Newtonian_Data/Newtonian.dat" u 1:($3-$6) via a2, b2, c2
fit g3(x) "Newtonian_Data/Newtonian.dat" u 1:($4-$7) via a3, b3, c3

PS=2
LW=2

plot \
"Newtonian_Data/Newtonian.dat" u 1:($2-$5) t "Dr=&{1}5" pt 4 ps PS w lp, \
"Newtonian_Data/Newtonian.dat" u 1:($3-$6) t "Dr=10"    pt 6 ps PS w lp, \
"Newtonian_Data/Newtonian.dat" u 1:($4-$7) t "Dr=15"    pt 8 ps PS w lp, \
g1(x) t "" lt 1 lw LW w l, \
g2(x) t "" lt 1 lw LW w l, \
g3(x) t "" lt 1 lw LW w l


#plot \
#"Newtonian_Data/Newtonian.dat" u 1:($2) w p, f1(x) w l, \
#"Newtonian_Data/Newtonian.dat" u 1:($3) w p, f2(x) w l, \
#"Newtonian_Data/Newtonian.dat" u 1:($4) w p, f3(x) w l


system "eps2eps             V.ps  V.eps"
system "convert -rotate 90  V.eps V_diff.png"
system "rm *.ps *.eps"
#----------------------------------------------------------------

set output "V.ps"
set key left top

PS=2
LW=2

plot \
"Newtonian_Data/Newtonian.dat" u 1:($5) t "Dr=&{1}5" pt 4 ps PS w lp, \
"Newtonian_Data/Newtonian.dat" u 1:($6) t "Dr=10"    pt 6 ps PS w lp, \
"Newtonian_Data/Newtonian.dat" u 1:($7) t "Dr=15"    pt 8 ps PS w lp, \
-g1(x)+f1(x) t "" lt 1 lw LW w l, \
-g2(x)+f2(x) t "" lt 1 lw LW w l, \
-g3(x)+f3(x) t "" lt 1 lw LW w l

system "eps2eps             V.ps  V.eps"
system "convert -rotate 90  V.eps V_fitted.png"
system "rm *.ps *.eps"
#----------------------------------------------------------------

set output "V.ps"
set key left top

dg1(x) = ( a1*(1-2*x) + b1*(2*x-3*x*x) + c1*(3*x*x-4*x*x*x)  )
dg2(x) = ( a2*(1-2*x) + b2*(2*x-3*x*x) + c2*(3*x*x-4*x*x*x)  )
dg3(x) = ( a3*(1-2*x) + b3*(2*x-3*x*x) + c3*(3*x*x-4*x*x*x)  )
log_Dr_5 = log(  5.0 );
log_Dr10 = log( 10.0 );
log_Dr15 = log( 15.0 );
df1(x) = log_Dr_5 * exp( x * log_Dr_5 )
df2(x) = log_Dr10 * exp( x * log_Dr10 )
df3(x) = log_Dr15 * exp( x * log_Dr15 )

#plot [0:1][] \
#-dg1(x) t "Dr=&{1}5" lt 1 lw LW w l, \
#-dg2(x) t "Dr=10"    lt 1 lw LW w l, \
#-dg3(x) t "Dr=15"    lt 1 lw LW w l

plot [0:1][] \
df1(x) t "Dr=&{1}5" lt 1 lw LW w l, \
df2(x) t "Dr=10"    lt 1 lw LW w l, \
df3(x) t "Dr=15"    lt 1 lw LW w l

#plot [0:1][] \
#-dg1(x)+df1(x) t "Dr=&{1}5" lt 1 lw LW w l, \
#-dg2(x)+df2(x) t "Dr=10"    lt 1 lw LW w l, \
#-dg3(x)+df3(x) t "Dr=15"    lt 1 lw LW w l


system "eps2eps             V.ps  V.eps"
system "convert -rotate 90  V.eps dV.png"
system "rm *.ps *.eps"
#----------------------------------------------------------------
